using System;
using System.Drawing;

using Emgu.CV;
using Emgu.CV.CvEnum;
using Emgu.CV.Structure;

namespace HelloWorld
{
    /// <summary>
    /// α׷
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region α׷ ϱ - Main()

        /// <summary>
        /// α׷ ϱ
        /// </summary>
        private static void Main()
        {
            string windowName = "Hello, World!";

            CvInvoke.cvNamedWindow(windowName);

            Image<Bgr, Byte> image = new Image<Bgr, byte>(600, 450, new Bgr(255, 0, 0));

            MCvFont font = new MCvFont(FONT.CV_FONT_HERSHEY_COMPLEX, 1.0, 1.0);

            image.Draw("Hello, world", ref font, new Point(10, 80), new Bgr(0, 255, 0));

            CvInvoke.cvShowImage(windowName, image);

            CvInvoke.cvWaitKey(0);

            CvInvoke.cvDestroyWindow(windowName);
        }

        #endregion
    }
}